// Sine and Cosine tables (radains) and functions
// by ][)ull ( jmlaset@cstone.net )

$Sin[00] = 0.0000;
$Sin[01] = 0.0998;
$Sin[02] = 0.1987;
$Sin[03] = 0.2955;
$Sin[04] = 0.3894;
$Sin[05] = 0.4794;
$Sin[06] = 0.5646;
$Sin[07] = 0.6442;
$Sin[08] = 0.7174;
$Sin[08] = 0.7833;
$Sin[10] = 0.8415;
$Sin[11] = 0.8912;
$Sin[12] = 0.9320;
$Sin[13] = 0.9636;
$Sin[14] = 0.9854;
$Sin[15] = 0.9975;
$Sin[16] = 0.9996;
$Sin[17] = 0.9917;
$Sin[18] = 0.9738;
$Sin[19] = 0.9463;
$Sin[20] = 0.9093;
$Sin[21] = 0.8632;
$Sin[22] = 0.8085;
$Sin[23] = 0.7457;
$Sin[24] = 0.6755;
$Sin[25] = 0.5985;
$Sin[26] = 0.5155;
$Sin[27] = 0.4274;
$Sin[28] = 0.3350;
$Sin[29] = 0.2392;
$Sin[30] = 0.1411;
$Sin[31] = 0.0416;

$Sin[32] = -0.0584;
$Sin[33] = -0.1577;
$Sin[34] = -0.2555;
$Sin[35] = -0.3508;
$Sin[36] = -0.4425;
$Sin[37] = -0.5298;
$Sin[38] = -0.6119;
$Sin[39] = -0.6878;
$Sin[40] = -0.7568;
$Sin[41] = -0.8183;
$Sin[42] = -0.8716;
$Sin[43] = -0.9162;
$Sin[44] = -0.9516;
$Sin[45] = -0.9775;
$Sin[46] = -0.9937;
$Sin[47] = -0.9999;
$Sin[48] = -0.9962;
$Sin[49] = -0.9825;
$Sin[50] = -0.9589;
$Sin[51] = -0.9258;
$Sin[52] = -0.8835;
$Sin[53] = -0.8323;
$Sin[54] = -0.7728;
$Sin[55] = -0.7055;
$Sin[56] = -0.6313;
$Sin[57] = -0.5507;
$Sin[58] = -0.4647;
$Sin[59] = -0.3739;
$Sin[60] = -0.2794;
$Sin[61] = -0.1822;
$Sin[62] = -0.0831;
$Sin[63] = 0.0168;


$Cos[00] = 1.0000;
$Cos[01] = 0.9950;
$Cos[02] = 0.9801;
$Cos[03] = 0.9553;
$Cos[04] = 0.9211;
$Cos[05] = 0.8776;
$Cos[06] = 0.8253;
$Cos[07] = 0.7648;
$Cos[08] = 0.6967;
$Cos[08] = 0.6216;
$Cos[10] = 0.5403;
$Cos[11] = 0.4536;
$Cos[12] = 0.3624;
$Cos[13] = 0.2675;
$Cos[14] = 0.1700;
$Cos[15] = 0.0707;
$Cos[16] = -0.0292;
$Cos[17] = -0.1288;
$Cos[18] = -0.2272;
$Cos[19] = -0.3233;
$Cos[20] = -0.4161;
$Cos[21] = -0.5048;
$Cos[22] = -0.5885;
$Cos[23] = -0.6663;
$Cos[24] = -0.7374;
$Cos[25] = -0.8011;
$Cos[26] = -0.8569;
$Cos[27] = -0.9041;
$Cos[28] = -0.9422;
$Cos[29] = -0.9710;
$Cos[30] = -0.9900;
$Cos[31] = -0.9991;

$Cos[32] = -0.9983;
$Cos[33] = -0.9875;
$Cos[34] = -0.9668;
$Cos[35] = -0.9365;
$Cos[36] = -0.8968;
$Cos[37] = -0.8481;
$Cos[38] = -0.7910;
$Cos[39] = -0.7259;
$Cos[40] = -0.6536;
$Cos[41] = -0.5748;
$Cos[42] = -0.4903;
$Cos[43] = -0.4008;
$Cos[44] = -0.3073;
$Cos[45] = -0.2108;
$Cos[46] = -0.1122;
$Cos[47] = -0.0124;
$Cos[48] = 0.0875;
$Cos[49] = 0.1865;
$Cos[50] = 0.2837;
$Cos[51] = 0.3780;
$Cos[52] = 0.4685;
$Cos[53] = 0.5544;
$Cos[54] = 0.6347;
$Cos[55] = 0.7087;
$Cos[56] = 0.7756;
$Cos[57] = 0.8347;
$Cos[58] = 0.8851;
$Cos[59] = 0.9275;
$Cos[60] = 0.9602;
$Cos[61] = 0.9833;
$Cos[62] = 0.9965;
$Cos[63] = 1.0000;


function Sin(%num)
{
%sin = $Sin[%num];
return %sin;
}


function Cos(%num)
{
%cos = $Cos[%num];
return %cos;
}


function roundE1(%num)
{
%num = %num * 10;
if(%num == 0) return 0;
%neg = false;
if(%num < 0)
 {
 %num = %num * -1;
 %neg = true;
 }
for(%a = 0; %a < %num; %a++)
 { }
%a--;
%r = %num - %a;
if(%r >= 0.5)
 %a = %a + 1;
if(%neg)
 %a = %a * -1;
return %a;
}


function remoteFly(%player, %dir, %d)
{
%vehicle = playerManager::playerNumToVehicleId(%player);
if(!%vehicle) return;
%x = getPosition(%vehicle, x);
%y = getPosition(%vehicle, y);
%z = getPosition(%vehicle, z);
%r = getPosition(%vehicle, r);
%r = roundE1(%r);

if(%dir == "f" || %dir == "F")
 %r = %r + 0;
else if(%dir == "b" || %dir == "B")
 %r = %r + 47;
else if(%dir == "l" || %dir == "L")
 %r = %r + 16;
else if(%dir == "r" || %dir == "R")
 %r = %r + 31;


while(%r < 0)
 {
 %r = %r + 62;
 }
while(%r > 62)
 {
 %r = %r - 62;
 }
if(%r == 0)
 %y = %y + %d;
else if(%r == 16)
 %x = %x - %d;
else if(%r == 31)
 %y = %y - %d;
else if(%r == 47)
 %x = %x + %d;
else if(%r == 62)
 %y = %y + %d;
else
 {
 %x = %x - (%d * Sin(%r));
 %y = %y + (%d * Cos(%r));
 }
setPosition(%vehicle, %x, %y, %z);
}